IF NOT EXISTS (SELECT * FROM SYS.TABLES WHERE NAME = 'EST_PROD_CPL_CUSTO_ZERADO_PENDENTE')
Begin
CREATE TABLE [dbo].[EST_PROD_CPL_CUSTO_ZERADO_PENDENTE](
	[CD_EMP] [int] NOT NULL,
	[CD_FILIAL] [int] NOT NULL,
	[CD_PROD] [int] NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
 CONSTRAINT [PK_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE] PRIMARY KEY CLUSTERED 
(
	[CD_EMP] ASC,
	[CD_FILIAL] ASC,
	[CD_PROD] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[EST_PROD_CPL_CUSTO_ZERADO_PENDENTE]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE_EST_PROD_CPL] FOREIGN KEY([CD_EMP], [CD_FILIAL], [CD_PROD])
REFERENCES [dbo].[EST_PROD_CPL] ([CD_EMP], [CD_FILIAL], [CD_PROD])

ALTER TABLE [dbo].[EST_PROD_CPL_CUSTO_ZERADO_PENDENTE] CHECK CONSTRAINT [FK_EST_PROD_CPL_CUSTO_ZERADO_PENDENTE_EST_PROD_CPL]
end

